petsc-3.4.2 2013-07-02

# PetscObjectGetReference

Gets the current reference count for any PETSc object.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscObjectGetReference(PetscObject obj,PetscInt *cnt)

Not Collective

### Input Parameter

obj -the PETSc object; this must be cast with (PetscObject), for example, PetscObjectGetReference((PetscObject)mat,&cnt);

### Output Parameter

cnt -the reference count

### See Also

PetscObjectCompose(), PetscObjectDereference(), PetscObjectReference()

Level:advanced
Location:src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages